Bug 1284056 - [SPEC] systemd-container-208 => systemd-219 upgrade path
Summary: [SPEC] systemd-container-208 => systemd-219 upgrade path
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: systemd-maint
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 1203710 1289485 1313485
TreeView+ depends on / blocked
 
Reported: 2015-11-20 16:40 UTC by Frantisek Kluknavsky
Modified: 2016-08-09 12:23 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-09 12:23:46 UTC


Attachments (Terms of Use)

Description Frantisek Kluknavsky 2015-11-20 16:40:46 UTC
Description of problem:
systemd-219 from rhel-7.2 does not obsolete systemd-container-208 from rhel-7.1. This breaks layered image creation using 7.1 base and latest 7.2 packages on top of it.

Comment 3 Scott Dodson 2015-11-20 18:00:12 UTC
workaround for the time being

yum swap -- remove systemd-container\* -- install systemd systemd-libs
yum upgrade

Comment 4 Scott Dodson 2015-11-20 18:26:09 UTC
For benefit of the search engines, here's the error:

Transaction check error:
  file /usr/lib64/libsystemd-daemon.so.0 from install of systemd-libs-219-19.el7.x86_64 conflicts with file from package systemd-container-libs-208.20-6.el7.x86_64
  file /usr/lib64/libsystemd-id128.so.0 from install of systemd-libs-219-19.el7.x86_64 conflicts with file from package systemd-container-libs-208.20-6.el7.x86_64
  file /usr/lib64/libsystemd-journal.so.0 from install of systemd-libs-219-19.el7.x86_64 conflicts with file from package systemd-container-libs-208.20-6.el7.x86_64
  file /usr/lib64/libsystemd-login.so.0 from install of systemd-libs-219-19.el7.x86_64 conflicts with file from package systemd-container-libs-208.20-6.el7.x86_64
  file /usr/lib64/libudev.so.1 from install of systemd-libs-219-19.el7.x86_64 conflicts with file from package systemd-container-libs-208.20-6.el7.x86_64
  file /usr/lib64/security/pam_systemd.so from install of systemd-libs-219-19.el7.x86_64 conflicts with file from package systemd-container-libs-208.20-6.el7.x86_64

Error Summary
-------------

Comment 5 Lukáš Nykrýn 2015-11-23 07:57:04 UTC
Should be easy to fix with some minor spec change.

Comment 7 Jan Synacek 2016-08-09 12:23:46 UTC
We decided not to "fix" this as it was a problem only in RHEL-7.1 base images. From 7.2 onward, there is no such problem.


Note You need to log in before you can comment on or make changes to this bug.